手机版 欢迎访问创业网 - 全球最顶尖的创业信息平台(91cyl.com)网站

当前位置: 主页 > 运营

新版Android Studio搜索不到Lombok以及无法安装Lombok插件的问题

时间:2024-04-01 11:03|来源:创业网 - 全球最顶尖的创业信息平台|作者:创业网|点击:

前言

在最近新版本的Android Studio中,使用插件时,在插件市场无法找到Lombox Plugin,具体表现如下图所示:


1、操作步骤:

(1)打开Android Studio->Settings->Plugins,搜索Lombok,发现并没有带小辣椒的Lombok,如下图所示:

(2)所以,想到通过插件市场自己手动下载安装,插件市场的地址为:plugins.jetbrains.com/plugin/6317…

可以选择最新的版本下载zip(PS:不用解压,直接导入安装)

(3)手动安装步骤,如下图所示:

但是当选择了插件zip之后,提示以下Error信息,看完,毋庸置疑是因为当前安装的AS版本跟插件版本不兼容。

Plugin 'Lombok' is not compatible with the current version of the IDE...

2、解决方案

此时不用慌,不兼容那我们想办法看如何兼容,达到可以安装使用插件。

(1)找到下载好的插件zip,通过解压软件一个个打开,一直进入到以下目录下,如下所示:

(2)此时再打开Android Studio,点击Help->About查看AS的版本,比如我用的AS如下: (将'AI-213.7172.25.2113'复制下来备用)

(3)找到plugin.xml,右键编辑。注意要修改截图中的3处,将(3)中复制好的AI-213.7172.25.2113替换到截图中,注意格式。

(4)修改以后,保存,关闭plugin.xml,外部会弹出2个弹窗(PS:根据你使用的压缩软件,有的不一定会弹),点击确定

(5)保存好以后再回到1中的(3),手动选择刚编辑好的插件zip,便不再提示Error弹窗。版本显示的便是刚才修改过的。

(6)此时需要重启AS插件才会生效,重启后再次查看。

作者:碧水逍遥
链接:https://blog.csdn.net/u010231454/article/details/133812196
著作权归作者所有。商业转载请联系作者获得授权,非商业转载请注明出处。

Copyright © 2005-2024 创业网 版权所有 网站地图